"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemRowCenter = exports.ItemRow = exports.ItemNameLine = exports.ItemInfoLine = exports.ItemContent = exports.ItemColumnCentered = exports.ItemColumnRight = exports.ItemColumn = exports.Center = exports.Right = exports.Left = exports.AvatarHolderRight = exports.AvatarHolder = exports.StyledListItem = exports.Trailing = exports.Leading = exports.Item = exports.Wrapper = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const StyledListItem = (SwipeableListItem) => (0, styled_components_1.default)(SwipeableListItem) `
  // background-color: #f00;
  width: 100%;
  box-sizing: border-box;
  // overflow: hidden;
  border-style: solid;
  border-color: ${(props) => props.theme.primary};
  border-width: 0;
  // border-top-width: 1px;
  border-bottom-width: 1px;

  &:first-child {
    border-top-width: 0px;
  }

  &:last-child {
    border-bottom-width: 0px;
  }
`;
exports.StyledListItem = StyledListItem;
const ItemContent = styled_components_1.default.div `
  height: 75px;
  display: flex;
  align-items: center;
  justify-content: center;
  display: flex;
  width: 100%;
  // min-width: 100px;
  color: ${(props) => props.theme.primary};
  user-select: none;
`;
exports.ItemContent = ItemContent;
const AvatarHolder = styled_components_1.default.div `
  display: flex;
  height: 45px;
  // width: 50px;
  margin-right: 8px;
  user-drag: none;
  user-select: none;
  flex-direction: column;
`;
exports.AvatarHolder = AvatarHolder;
const AvatarHolderRight = styled_components_1.default.div `
  display: flex;
  height: 45px;
  // width: 50px;
  margin-left: 8px;
  user-drag: none;
  user-select: none;
  flex-direction: column;
  align-self: flex-end;
  align-items: flex-end;
`;
exports.AvatarHolderRight = AvatarHolderRight;
const ItemRow = styled_components_1.default.div `
  width: 100%;
  display: flex;
  padding: 0 8px;
  justify-content: space-between;
`;
exports.ItemRow = ItemRow;
const ItemRowCenter = styled_components_1.default.div `
  width: 100%;
  display: flex;
  padding: 0 8px;
  justify-content: center;
`;
exports.ItemRowCenter = ItemRowCenter;
const ItemColumn = styled_components_1.default.div `
  display: flex;
  flex-direction: column;
  align-self: center;
  align-items: flex-start;
`;
exports.ItemColumn = ItemColumn;
const ItemColumnRight = styled_components_1.default.div `
  display: flex;
  flex-direction: column;
  align-self: center;
  align-items: flex-end;
`;
exports.ItemColumnRight = ItemColumnRight;
const ItemColumnCentered = styled_components_1.default.div `
  display: flex;
  flex-direction: column;
  align-items: flex-start;
`;
exports.ItemColumnCentered = ItemColumnCentered;
const ItemNameLine = styled_components_1.default.span `
  font-weight: 500;
`;
exports.ItemNameLine = ItemNameLine;
const ItemInfoLine = styled_components_1.default.span `
  font-size: 14px;
`;
exports.ItemInfoLine = ItemInfoLine;
const Left = styled_components_1.default.div `
  display: flex;
  align-items: center;
  justify-items: left;
  justify-self: left;
  justify-content: flex-start;
`;
exports.Left = Left;
const Right = styled_components_1.default.div `
  display: flex;
  align-items: center;
  justify-items: right;
  justify-self: right;
  justify-content: flex-end;
`;
exports.Right = Right;
const Center = styled_components_1.default.div `
  display: flex;
  align-items: center;
  justify-items: center;
  justify-self: center;
  justify-content: center;
`;
exports.Center = Center;
const Wrapper = styled_components_1.default.div `
  position: relative;
  overflow: hidden;
  width: 100%;
`;
exports.Wrapper = Wrapper;
const Item = styled_components_1.default.div `
  width: 100%;
  align-items: center;
  box-sizing: border-box;
  height: 100%;
  display: flex;
`;
exports.Item = Item;
const Leading = styled_components_1.default.div `
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  padding-right: 16px;
  box-sizing: border-box;
`;
exports.Leading = Leading;
const Trailing = styled_components_1.default.div `
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  padding-right: 16px;
  box-sizing: border-box;
`;
exports.Trailing = Trailing;
//# sourceMappingURL=styles.js.map